Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.impl
Class DefaultFileReplicator

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.impl.DefaultFileReplicator

All Implemented Interfaces:
  FileReplicator, TemporaryFileStore, VfsComponent

public class DefaultFileReplicator
extends AbstractVfsComponent
implements FileReplicator, TemporaryFileStore

A simple file replicator and temporary file store.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`DefaultFileReplicator()`
`DefaultFileReplicator(File tempDir)` constructor to set the location of the temporary directory

Method Summary
`protected void` | `addFile(Object file)`
`File` | `allocateFile(String baseName)` Allocates a new temporary file.
`void` | `close()` Closes the replicator, deleting all temporary files.
`protected File` | `createAndAddFile(File parent, String basename)`
`protected File` | `createFile(File parent, String name)` create the temporary file
`protected String` | `createFilename(String baseName)` create the temporary file name
`protected void` | `deleteFile(File file)` physically deletes the file from the filesystem
`protected long` | `getFilecount()`
`void` | `init()` Initialises this component.
`protected Object` | `removeFile()` removes a file from the copies list.
`protected void` | `removeFile(Object file)` removes a instance from the list of copies
`File` | `replicateFile(FileObject srcFile, FileSelector selector)` Creates a local copy of the file, and all its descendents.

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFileReplicator

    public DefaultFileReplicator(File tempDir)

  constructor to set the location of the temporary directory

Parameters:
  `tempDir` -

### DefaultFileReplicator

    public DefaultFileReplicator()

Method Detail

### init

    public void init()
              throws FileSystemException

  Initialises this component.

  Specified by:
    `init` in interface `VfsComponent`
  Overrides:
    `init` in class `AbstractVfsComponent`
  Throws:
    `FileSystemException`

### close

    public void close()

  Closes the replicator, deleting all temporary files.

  Specified by:
    `close` in interface `VfsComponent`
  Overrides:
    `close` in class `AbstractVfsComponent`

### deleteFile

    protected void deleteFile(File file)

  physically deletes the file from the filesystem

### removeFile

    protected Object removeFile()

  removes a file from the copies list. Will be used for cleanup.
  Notice: The system awaits that the returning object can be cast to a java.io.File

### removeFile

    protected void removeFile(Object file)

  removes a instance from the list of copies

### allocateFile

    public File allocateFile(String baseName)
                      throws FileSystemException

  Allocates a new temporary file.

  Specified by:
    `allocateFile` in interface `TemporaryFileStore`
  Parameters:
    `baseName` - The name of the file.
  Throws:
    `FileSystemException`

### createAndAddFile

    protected File createAndAddFile(File parent,
                                    String basename)
                             throws FileSystemException

  Throws:
    `FileSystemException`

### addFile

    protected void addFile(Object file)

### getFilecount

    protected long getFilecount()

### createFilename

    protected String createFilename(String baseName)

  create the temporary file name

### createFile

    protected File createFile(File parent,
                              String name)
                       throws FileSystemException

  create the temporary file

  Throws:
    `FileSystemException`

### replicateFile

    public File replicateFile(FileObject srcFile,
                              FileSelector selector)
                       throws FileSystemException

  Creates a local copy of the file, and all its descendents.

  Specified by:
    `replicateFile` in interface `FileReplicator`
  Parameters:
    `srcFile` - The file to copy.
    `selector` - Selects the files to copy.
  Returns:
    The local copy of the source file.
  Throws:
    `FileSystemException` - If the source files does not exist, or on error copying.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.